Bug 29498 - [glsl2]Mesa demos mandelbrot run incorrectly on glsl2 branch
Summary: [glsl2]Mesa demos mandelbrot run incorrectly on glsl2 branch
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: All Linux (All)
: medium normal
Assignee: Eric Anholt
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 29044
  Show dependency treegraph
 
Reported: 2010-08-10 22:09 UTC by wang,jinjin
Modified: 2010-09-06 00:50 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
glsl2 mandelbrot test picture (30.38 KB, image/png)
2010-08-10 22:09 UTC, wang,jinjin
Details
master mandelbrot test picture (26.04 KB, image/png)
2010-08-10 22:10 UTC, wang,jinjin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description wang,jinjin 2010-08-10 22:09:41 UTC
Created attachment 37782 [details]
glsl2 mandelbrot test picture

System Environment:
--------------------------
Arch:       x86_64
Platform:   Calpella/Piketon
Libdrm:         (master)2.4.21-15-gb04515c5d6c95f573457a94267b855cceb639105
Mesa:           (glsl2)f8d2cfe4a699faebd42bd1874ef0329d37791dd7
Xserver:                (master)xorg-server-1.8.99.905-12-g8d7b7a0d71e0b89321b3341b781bc8845386def6
Cairo:          (master)046b642db0782ab5e2a5c82988b21e05afe8e716
Kernel: (for-linus)9fe6206f400646a2322096b56c59891d530e8d51

Bug detailed description:
-------------------------
With Mesa (glsl2)f8d2cfe4a699faebd42bd1874ef0329d37791dd7, Mesa demos
mandelbrot display incorrectly  the same as using LIBGL_ALWAYS_SOFTWARE=1.But with Mesa (master) cc732bf894f58fd1533709ac60d3af4c80bd01b0 it run correctly.

Reproduce steps:
----------------
1.xinit& 
2../mandelbrot
3. LIBGL_ALWAYS_SOFTWARE=1 ./mandelbrot
Comment 1 wang,jinjin 2010-08-10 22:10:29 UTC
Created attachment 37783 [details]
master mandelbrot test picture
Comment 2 Eric Anholt 2010-08-27 16:17:59 UTC
commit d17faf726ecfd18f5a1f9a1c2b54eec4348ee053
Author: Eric Anholt <eric@anholt.net>
Date:   Fri Aug 27 16:04:16 2010 -0700

    i965: Set the pop count on BRK/CONT inside of an if statement in the FS.
    
    This is the same as 8de8c97275e9555183a7e8f2238143657bbe60b2 for the
    VS, and fixes glsl-fs-if-nested-loop and the mandelbrot demo.
    
    Bug #29498
Comment 3 wang,jinjin 2010-09-06 00:50:05 UTC
I verified it  with given commit  d17faf726ecfd18f5a1f9a1c2b54eec4348ee053
thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.